Package ru.bitel.bgbilling.modules.bvcom.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.bvcom.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BVCOM_CURRENCY_EUR`
  `static final String`
  `BVCOM_CURRENCY_RUB`
  `static final String`
  `BVCOM_CURRENCY_RUR`
  `static final String`
  `BVCOM_CURRENCY_USD`
  `static final String`
  `BVCOM_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `BVCOM_PAYMENT_COMMENT`
  `static final int`
  `BVCOM_PROTOCOL_VERSION_1`
  `static final int`
  `BVCOM_PROTOCOL_VERSION_2`
  `static final int`
  `BVCOM_PROTOCOL_VERSION_3`
  `static final String`
  `BVCOM_SERVER_URL`
  `static final int`
  `BVCOM_SUM_MAX`
  `static final int`
  `BVCOM_SUM_MIN`
  `static final String`
  `BVCOM_TRANS_FORMAT`
  `static final String`
  `KEY_BVCOM_CALLBACK_URL`
  `static final String`
  `KEY_BVCOM_COMMENT`
  `static final String`
  `KEY_BVCOM_CURRENCY`
  `static final String`
  `KEY_BVCOM_ENDPOINTID`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_ENABLE`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_RECEIPT_QTY`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_RECEIPT_QTY_MEASURE`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_RECEIPT_TAX_SYSTEM`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_RECEIPT_TAX_TYPE`
  `static final String`
  `KEY_BVCOM_FISCALIZATION_RECEIPT_VAT`
  `static final String`
  `KEY_BVCOM_MERCHANT_CONTROL`
  `static final String`
  `KEY_BVCOM_PAYMENT_COMMENT`
  `static final String`
  `KEY_BVCOM_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_BVCOM_RESULT_URL`
  `static final String`
  `KEY_BVCOM_SERVER_URL`
  `static final String`
  `KEY_BVCOM_SUM_MAX`
  `static final String`
  `KEY_BVCOM_SUM_MIN`
  `static final String`
  `KEY_BVCOM_TRANS_FORMAT`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BVCOM_SUM_MIN

    public static final int BVCOM_SUM_MIN
    See Also:
      - Constant Field Values

  - ### BVCOM_SUM_MAX

    public static final int BVCOM_SUM_MAX
    See Also:
      - Constant Field Values

  - ### BVCOM_PROTOCOL_VERSION_1

    public static final int BVCOM_PROTOCOL_VERSION_1
    See Also:
      - Constant Field Values

  - ### BVCOM_PROTOCOL_VERSION_2

    public static final int BVCOM_PROTOCOL_VERSION_2
    See Also:
      - Constant Field Values

  - ### BVCOM_PROTOCOL_VERSION_3

    public static final int BVCOM_PROTOCOL_VERSION_3
    See Also:
      - Constant Field Values

  - ### BVCOM_CURRENCY_RUR

    public static final String BVCOM_CURRENCY_RUR
    See Also:
      - Constant Field Values

  - ### BVCOM_CURRENCY_RUB

    public static final String BVCOM_CURRENCY_RUB
    See Also:
      - Constant Field Values

  - ### BVCOM_CURRENCY_EUR

    public static final String BVCOM_CURRENCY_EUR
    See Also:
      - Constant Field Values

  - ### BVCOM_CURRENCY_USD

    public static final String BVCOM_CURRENCY_USD
    See Also:
      - Constant Field Values

  - ### BVCOM_SERVER_URL

    public static final String BVCOM_SERVER_URL
    See Also:
      - Constant Field Values

  - ### BVCOM_TRANS_FORMAT

    public static final String BVCOM_TRANS_FORMAT
    See Also:
      - Constant Field Values

  - ### BVCOM_PAYMENT_COMMENT

    public static final String BVCOM_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### BVCOM_FISCALIZATION_RECEIPT_NAME

    public static final String BVCOM_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_SUM_MIN

    public static final String KEY_BVCOM_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_SUM_MAX

    public static final String KEY_BVCOM_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_COMMENT

    public static final String KEY_BVCOM_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_CURRENCY

    public static final String KEY_BVCOM_CURRENCY
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_MERCHANT_CONTROL

    public static final String KEY_BVCOM_MERCHANT_CONTROL
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_SERVER_URL

    public static final String KEY_BVCOM_SERVER_URL
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_RESULT_URL

    public static final String KEY_BVCOM_RESULT_URL
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_TRANS_FORMAT

    public static final String KEY_BVCOM_TRANS_FORMAT
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_CALLBACK_URL

    public static final String KEY_BVCOM_CALLBACK_URL
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_ENDPOINTID

    public static final String KEY_BVCOM_ENDPOINTID
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_PAYMENT_TYPE_ID

    public static final String KEY_BVCOM_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_PAYMENT_COMMENT

    public static final String KEY_BVCOM_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_ENABLE

    public static final String KEY_BVCOM_FISCALIZATION_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_RECEIPT_NAME

    public static final String KEY_BVCOM_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_RECEIPT_QTY

    public static final String KEY_BVCOM_FISCALIZATION_RECEIPT_QTY
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_RECEIPT_QTY_MEASURE

    public static final String KEY_BVCOM_FISCALIZATION_RECEIPT_QTY_MEASURE
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_RECEIPT_VAT

    public static final String KEY_BVCOM_FISCALIZATION_RECEIPT_VAT
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_RECEIPT_TAX_TYPE

    public static final String KEY_BVCOM_FISCALIZATION_RECEIPT_TAX_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_RECEIPT_TAX_SYSTEM

    public static final String KEY_BVCOM_FISCALIZATION_RECEIPT_TAX_SYSTEM
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_BVCOM_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()